phpBB 3.0.x からphpBB 3.1.x への移行メモ

投稿者: | 2015年5月4日

基本的には公式サイトのUpgrade Guide「Upgrading from 3.0 to 3.1」を読めば問題なく移行できるが、いくつか躓いた点があるのでメモ。

database_update.phpが開かない

PHPのバージョンを5.4.35にしたところ解決した。
3.0の要求バージョンは4.3.3+だが、3.1は5.3.3+になっていたため、5.2を使用していた自分の環境では、database_update.phpが開かなかったようだ。
さくらのレンタルサーバではサーバコントロールパネルからPHPのバージョン選択ができる。

Language Packs最新版

現在公式サイトでダウンロードできる日本語の言語パックは3.0.12対応のJapanese 1.0.5である。
ocean=YohsukeさんのGitHubにphpBB 3.1用の日本語言語パックがあるのでそちらを使う。

phpBB3.1では、機能追加がMod形式からExtension形式になり、スマートフォン表示にも対応した。その他、多くのバグ修正や改良点があるため、phpBB 3.1を使用したほうがいいだろう。

コメントを残す (名前などのすべての項目は任意入力です)